## org.eclipse.emf.mint
Interface IMemberAnnotationListener

All Superinterfaces:
  EventListener

    public interface IMemberAnnotationListener

extends EventListener

Interface for listeners that want to be notified of changes to Java type members' `code generation status`.

Clients may implement this interface.

See Also:
  `IMemberAnnotationManager.addMemberAnnotationListener(IMemberAnnotationListener)`

Method Summary
`void` `memberAnnotationChanged(MemberAnnotationChangedEvent event)` Notifies the listener of a member annotation change event.

Method Detail

### memberAnnotationChanged

    void memberAnnotationChanged(MemberAnnotationChangedEvent event)

  Notifies the listener of a member annotation change event.

  Parameters:
    `event` - event describing the changes

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.